tagtraum industries: SIXBS - Simple XML Bean Serialization: Class AbstractAdapter

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.tagtraum.sixbs
Class AbstractAdapter

    java.lang.Object
      |
      +--com.tagtraum.sixbs.AbstractAdapter

All Implemented Interfaces:
  Adapter

Direct Known Subclasses:
  ListAdapt, MapAdapt, SetAdapt

public abstract class AbstractAdapter
extends Object
implements Adapter

Abstract convenience superclass

Version:
  $Id: AbstractAdapter.java,v 1.1 2001/05/06 14:55:01 Hendrik Exp $
Author:
  Hendrik Schreiber

Field Summary
`static String` | `vcid` Source-Version

Constructor Summary
`AbstractAdapter()`

Method Summary
`abstract Object` | `deserialize()` Returns the object that has been initialized from XML by calling the setter methods of a class implementing this interface. Example: In `ArrayListAdapt` this method returns an initialized `ArrayList`.
`boolean` | `equals(Object obj)`
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### vcid

    public static String vcid

  Source-Version

Constructor Detail

### AbstractAdapter

    public AbstractAdapter()

Method Detail

### deserialize

    public abstract Object deserialize()
                                throws SIXBSException

  Description copied from interface: `Adapter`
  Returns the object that has been initialized from XML by calling the setter methods of a class implementing this interface.

  Example:

  In `ArrayListAdapt` this method returns an initialized `ArrayList`. The ArrayList has been initialized by the Adapter, when the `ListAdapt.setList(Object[])` method was called by `SIXBSReader`.

  Specified by:
    `deserialize` in interface `Adapter`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 tagtraum industries.